Returns current state of buffering for the large object

- « OCILob::free

- OCILob::import »

- PHP Manual
- OCILob
- Returns current state of buffering for the large object

# OCILob::getBuffering

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::getBuffering — Returns current state of buffering for the large object

### Description

public OCILob::getBuffering(): bool

Tells whether the buffering for the large object is on or off.

### Parameters

This function has no parameters.

### Return Values

Returns `false` if buffering for the large object is off and `true` if buffering is used.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.

### See Also

- OCILob::setBuffering